---
title: llarp::LinksConfig

---

# llarp::LinksConfig





## Public Functions

|                | Name           |
| -------------- | -------------- |
| void | **[defineConfigOptions](Classes/structllarp_1_1LinksConfig.md#function-defineconfigoptions)**([ConfigDefinition](Classes/structllarp_1_1ConfigDefinition.md) & conf, const [ConfigGenParameters](Classes/structllarp_1_1ConfigGenParameters.md) & params) |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| std::optional< net::ipaddr_t > | **[PublicAddress](Classes/structllarp_1_1LinksConfig.md#variable-publicaddress)**  |
| std::optional< net::port_t > | **[PublicPort](Classes/structllarp_1_1LinksConfig.md#variable-publicport)**  |
| std::vector< [SockAddr](Classes/structllarp_1_1SockAddr.md) > | **[OutboundLinks](Classes/structllarp_1_1LinksConfig.md#variable-outboundlinks)**  |
| std::vector< [SockAddr](Classes/structllarp_1_1SockAddr.md) > | **[InboundListenAddrs](Classes/structllarp_1_1LinksConfig.md#variable-inboundlistenaddrs)**  |

## Public Functions Documentation

### function defineConfigOptions

```cpp
void defineConfigOptions(
    ConfigDefinition & conf,
    const ConfigGenParameters & params
)
```


## Public Attributes Documentation

### variable PublicAddress

```cpp
std::optional< net::ipaddr_t > PublicAddress;
```


### variable PublicPort

```cpp
std::optional< net::port_t > PublicPort;
```


### variable OutboundLinks

```cpp
std::vector< SockAddr > OutboundLinks;
```


### variable InboundListenAddrs

```cpp
std::vector< SockAddr > InboundListenAddrs;
```


-------------------------------

Updated on 2023-01-09 at 16:43:38 +0000